package com.link.microservice.config;

import feign.RequestInterceptor;
import org.springframework.cloud.openfeign.FeignAutoConfiguration;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class LinkFeignClientConfig extends FeignAutoConfiguration {
   @Bean
   public RequestInterceptor requestInterceptor() {
      return new FeignBasicAuthRequestInterceptor();
   }
}
